figure('Color',[1 1 1]),hold on

fontlabelsize = 10;
panellabelsize = 12;
xmin = -10;
xmax = 100;
yscale = 'log';
if(strcmp(yscale,'log'))
    ymin = 0.1;
    ymax = 15;
else
    ymin = 0;
    ymax = 20;
end

subplot(2,2,1),hold on
load BNFsucc_data_obligate_v_non_severeNlim.mat
plot(T,X(:,1)./1000,'k:','LineWidth',1.5)
plot(T,X(:,2)./1000,'k-','LineWidth',1.5)
ylabel('Foliar biomass (Mg C ha^{-1})                                ','fontsize',fontlabelsize)
set(gca,'TickDir','out','XTick',[],'YTick',[0.01 0.1 1 10],'YTickLabel',{'0.01','0.1','1','10'},'fontsize',fontlabelsize,'YScale',yscale)
xlim([xmin xmax])
ylim([ymin ymax])
text(xmin,30,'(a)','fontsize',panellabelsize,'fontweight','bold')

clear all
fontlabelsize = 10;
panellabelsize = 12;
xmin = -10;
xmax = 100;
yscale = 'log';
if(strcmp(yscale,'log'))
    ymin = 0.1;
    ymax = 15;
else
    ymin = 0;
    ymax = 20;
end

subplot(2,2,2),hold on
load BNFsucc_data_obligate_v_non_moderateNlim.mat
plot(T,X(:,1)./1000,'k:','LineWidth',1.5)
plot(T,X(:,2)./1000,'k-','LineWidth',1.5)
set(gca,'TickDir','out','XTick',[],'YTick',[],'fontsize',fontlabelsize,'YScale',yscale)
xlim([xmin xmax])
ylim([ymin ymax])
text(xmin,30,'(b)','fontsize',panellabelsize,'fontweight','bold')

clear all
fontlabelsize = 10;
panellabelsize = 12;
xmin = -10;
xmax = 100;
yscale = 'log';
if(strcmp(yscale,'log'))
    ymin = 0.01;
    ymax = 15;
else
    ymin = 0;
    ymax = 20;
end

subplot(2,2,3),hold on
load BNFsucc_data_facultative_v_non_severeNlim.mat
plot(T,X(:,1)./1000,'k--','LineWidth',1.5)
plot(T,X(:,2)./1000,'k-','LineWidth',1.5)
set(gca,'TickDir','out','XTick',[0 xmax],'YTick',[0.01 0.1 1 10],'YTickLabel',{'0.01','0.1','1','10'},'fontsize',fontlabelsize,'YScale',yscale)
xlim([xmin xmax])
ylim([ymin ymax])
xlabel('                                     Time (y)','fontsize',fontlabelsize)
text(xmin,30,'(c)','fontsize',panellabelsize,'fontweight','bold')

clear all
fontlabelsize = 10;
panellabelsize = 12;
xmin = -10;
xmax = 100;
yscale = 'log';
if(strcmp(yscale,'log'))
    ymin = 0.01;
    ymax = 15;
else
    ymin = 0;
    ymax = 20;
end

subplot(2,2,4),hold on
load BNFsucc_data_facultative_v_non_moderateNlim.mat
plot(T,X(:,1)./1000,'k--','LineWidth',1.5)
plot(T,X(:,2)./1000,'k-','LineWidth',1.5)
set(gca,'TickDir','out','XTick',[0 xmax],'YTick',[],'fontsize',fontlabelsize,'YScale',yscale)
xlim([xmin xmax])
ylim([ymin ymax])
text(xmin,30,'(d)','fontsize',panellabelsize,'fontweight','bold')