function dxdt = Menge_SuccessionDynamicsModel_odes_fac_ob_non(t,x)

global p

% Uptake functions
NUF = p.vN.*x(6,1)./(p.KN + x(6,1));
PUF = p.vP.*x(7,1)./(p.KP + x(7,1));
FC = p.wP(1)/p.wN(1)*PUF(1) - NUF(1);
FF = min(max(FC,0),p.Fmax(1));

F = [FF p.Fmax(2) 0]; % Facultative, obligate, and non-fixer fixation rates

gN = p.wN.*(NUF + F);
gP = p.wP.*PUF;
g = min(gN,gP) - p.thg.*F;

% Uptake from soil
ANUS = sum(x(1:3,1)'./p.wN.*(g-p.wN.*F));
APUS = sum(x(1:3,1)'./p.wP.*g);

% Other fluxes into and out of AN and AP

ANAUS = p.IN - p.kN.*x(6,1) + p.mN.*x(4,1);
APAUS = p.IP - p.kP.*x(7,1) + p.mP.*x(5,1);

% Turnover functions
u = p.u + p.thu.*F + [p.psi.*p.c 0 0];

% Plant dxdts
dxdt(1:3,1) = x(1:3,1).*(g - u)'; % B facultative, obligate, and non-fixer

% Inputs to soil:
NITS = sum(x(1:3,1).*u'./p.wN');
PITS = sum(x(1:3,1).*u'./p.wP');

% detritus dxdts
dxdt(4,1) = NITS - (p.mN + p.phiN).*x(4,1); % DN
dxdt(5,1) = PITS - (p.mP + p.phiP).*x(5,1); % DP

% available dxdts
dxdt(6,1) = ANAUS - ANUS; % AN
dxdt(7,1) = APAUS - APUS; % AP