function dxdt = Menge_SuccessionDynamicsModel_odes_ob_non(t,x)

global p

% Uptake functions
NUF = p.vN.*x(5,1)./(p.KN + x(5,1));
PUF = p.vP.*x(6,1)./(p.KP + x(6,1));

% F, g for obligate fixer
gN(1) = p.wN(1).*(NUF(1) + p.Fmax(1));
gP(1) = p.wP(1).*PUF(1);
g(1) = min(gN(1),gP(1)) - p.thg(1)*p.Fmax(1);

% F, g nonfixer
gN(2) = p.wN(2).*(NUF(2));
gP(2) = p.wP(2).*PUF(2);
g(2) = min(gN(2),gP(2));

% Uptake from soil
ANUS = x(1,1)./p.wN(1).*(g(1)-p.wN(1).*p.Fmax(1)) + x(2,1)./p.wN(2).*g(2);
APUS = x(1,1)./p.wP(1).*g(1) + x(2,1)./p.wP(2).*g(2);

% Other fluxes into and out of AN and AP pools
ANAUS = p.IN - p.kN.*x(5,1) + p.mN.*x(3,1);
APAUS = p.IP - p.kP.*x(6,1) + p.mP.*x(4,1);

% Plant dxdts
dxdt(1,1) = x(1,1).*(g(1) - (p.u(1) + p.thu(1).*p.Fmax(1))); % B obligate N fixer
dxdt(2,1) = x(2,1).*(g(2) - p.u(2)); % B nonfixer

% Inputs to soil:
NITS = x(1,1).*(p.u(1) + p.thu(1)*p.Fmax(1))./p.wN(1) + x(2,1).*p.u(2)./p.wN(2);
PITS = x(1,1).*(p.u(1) + p.thu(1)*p.Fmax(1))./p.wP(1) + x(2,1).*p.u(2)./p.wP(2);

% detritus dxdts
dxdt(3,1) = NITS - (p.mN + p.phiN).*x(3,1); % DN
dxdt(4,1) = PITS - (p.mP + p.phiP).*x(4,1); % DP

% available dxdts
dxdt(5,1) = ANAUS - ANUS; % AN
dxdt(6,1) = APAUS - APUS; % AP